ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- i
- m
- o
- p
- r
- s
- t
- v

### - a -

- addMetadataOnly() : ome::files

### - b -

- bitsPerPixel() : ome::files
- bytesPerPixel() : ome::files
- byteswap() : ome::files

### - c -

- createDimensionOrder() : ome::files
- createID() : ome::files
- createOMEXMLMetadata() : ome::files
- createOMEXMLRoot() : ome::files

### - d -

- defaultCreationDateEnabled() : ome::files

### - e -

- enableBigTIFF() : ome::files::tiff
- escapeXML() : ome::files

### - f -

- fillAllPixels() : ome::files
- fillMetadata() : ome::files
- fillOriginalMetadata() : ome::files
- fillPixels() : ome::files

### - g -

- getConfiguredCodecs() : ome::files::tiff
- getCoreMetadata() : ome::files::tiff
- getDomain() : ome::files
- getDomainCollection() : ome::files
- getIndex() : ome::files
- getModelVersion() : ome::files
- getModulo() : ome::files
- getModuloAlongC() : ome::files
- getModuloAlongT() : ome::files
- getModuloAlongZ() : ome::files
- getOMEXML() : ome::files
- getOMEXMLMetadata() : ome::files
- getOriginalMetadata() : ome::files
- getWrappedTag() : ome::files::tiff
- getZCTCoords() : ome::files

### - i -

- ifdIndex() : ome::files::tiff
- isComplex() : ome::files
- isFloatingPoint() : ome::files
- isInteger() : ome::files
- isSigned() : ome::files

### - m -

- makeCoreMetadata() : ome::files::tiff
- MetadataMap::get< MetadataMap::value_type >() : ome::files

### - o -

- operator&() : ome::files
- operator<<() : ome::files
- operator|() : ome::files

### - p -

- pixelSize() : ome::files
- pixelTypeFromBits() : ome::files
- pixelTypeFromBytes() : ome::files

### - r -

- register_module_paths() : ome::files
- removeBinData() : ome::files
- removeChannels() : ome::files

### - s -

- sanitizeXML() : ome::files
- setDefaultCreationDate() : ome::files
- significantBitsPerPixel() : ome::files
- significantPixelSize() : ome::files

### - t -

- transformToLatestModelVersion() : ome::files

### - v -

- validateModel() : ome::files
- validateOMEXML() : ome::files
- validateXML() : ome::files
- verifyMinimum() : ome::files